Page MenuHomePhabricator

WMCS: cleanup network allocations
Closed, ResolvedPublic

Description

This task is to track the work to cleanup network allocations for WMCS (Cloud VPS, etc). This involves Netbox and also operations/puppet.git and operations/dns.git.

Some stuff allocated in Netbox, prefixes (CIDRs):

And vlans:

We don't use those vlans or CIDRs and I believe all of them can be released. Some of them were pre-neutron stuff which are clearly unused/deprecated now.

Additional documentation of what we use can be found here: https://wikitech.wikimedia.org/wiki/Portal:Cloud_VPS/Admin/Neutron

NOTE: One might argue that it doesn't make sense to release all this stuff if we are going to re-allocate them in the near future. It is true that we have plans to cross the DC row boundaries eventually, but we don't have the exact details on how this will be implemented yet. We may change our virtual addressing to give each project a full range instead of using our current flat topology, in which case vlans per row doesn't make sense.

Details

Related Gerrit Patches:
operations/dns : masternetworks: cleanup unused WMCS ranges
operations/puppet : productionnetwork: data: cleanup unused WMCS ranges

Event Timeline

Restricted Application added a project: Operations. · View Herald TranscriptDec 13 2019, 11:05 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
aborrero triaged this task as Medium priority.Dec 13 2019, 11:05 AM
aborrero moved this task from Inbox to Doing on the cloud-services-team (Kanban) board.

Change 556994 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] network: data: cleanup unused WMCS ranges

https://gerrit.wikimedia.org/r/556994

Change 556995 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/dns@master] networks: cleanup unused WMCS ranges

https://gerrit.wikimedia.org/r/556995

Needs discussion in the next WMCS team meeting: I would like to double check with you all that doing this cleanup is right, and make sure you are aware of it. It shouldn't be a big deal though.

+1 from the WMCS team.

Change 556994 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] network: data: cleanup unused WMCS ranges

https://gerrit.wikimedia.org/r/556994

Change 556995 merged by Arturo Borrero Gonzalez:
[operations/dns@master] networks: cleanup unused WMCS ranges

https://gerrit.wikimedia.org/r/556995

Patches are merged. I can do the Netbox cleanup (delete all those objects) by myself if you confirm @ayounsi

For sure! Ping me if you have any issue.

aborrero closed this task as Resolved.Dec 18 2019, 4:37 PM

Done, I deleted all the objects referred in the task description from Netbox.

aborrero reopened this task as Open.Jan 16 2020, 6:03 PM
aborrero reassigned this task from aborrero to ayounsi.

@ayounsi I detected that switches still these vlan definitions in them. Please cleanup them when you have a moment, as they are confusing.

I'm talking about both asw2-b-eqiad:

    cloud-instances1-a-eqiad {
        vlan-id 1101;
    }
    cloud-instances1-b-eqiad {
        vlan-id 1102;
    }
    cloud-instances1-c-eqiad {
        vlan-id 1103;
    }
    cloud-instances1-d-eqiad {
        vlan-id 1104;
    }
    cloud-instances1-eqiad {
        vlan-id 1100;
    }
[.. etc ..]

And also asw-b-codfw:

cloud-instances1-b-codfw {
    vlan-id 2102;
}

More references may remain elsewhere, I stopped looking.

Mentioned in SAL (#wikimedia-operations) [2020-01-17T11:01:28Z] <XioNoX> delete vlan cloud-instances1-b-eqiad from asw2-b-eqiad - T240670

Mentioned in SAL (#wikimedia-operations) [2020-01-17T11:04:08Z] <XioNoX> Running homer to remove decom cloud vlans in eqiad/codfw - T240670

ayounsi closed this task as Resolved.Feb 4 2020, 10:27 PM

I think everything is done here?